# SCTE variants of MPEG-TS sections

This contains the GstMpegtsSection relevent to SCTE specifications.

## GstMpegtsSCTESIT

### Members

`encrypted_packet` (gboolean) –
No description available
`encryption_algorithm` (guint8) –
No description available
`pts_adjustment` (guint64) –
No description available
`cw_index` (guint8) –
No description available
`tier` (guint16) –
No description available
`splice_command_length` (guint16) –
No description available
`splice_command_type` (GstMpegtsSCTESpliceCommandType) –
No description available
`splice_time_specified` (gboolean) –
No description available
`splice_time` (guint64) –
No description available
`splices` (GPtrArray *) –
No description available
`descriptors` (GPtrArray *) –
No description available
`fully_parsed` (gboolean) –

When encrypted, or when encountering an unknown command type, we may still want to pass the sit through.

`is_running_time` (gboolean) –

When the SIT was constructed by the application, splice times are in running_time and must be translated before packetizing.

## GstMpegts.SCTESIT

### Members

`encrypted_packet` (Number) –
No description available
`encryption_algorithm` (Number) –
No description available
`pts_adjustment` (Number) –
No description available
`cw_index` (Number) –
No description available
`tier` (Number) –
No description available
`splice_command_length` (Number) –
No description available
`splice_command_type` (GstMpegts.SCTESpliceCommandType) –
No description available
`splice_time_specified` (Number) –
No description available
`splice_time` (Number) –
No description available
`splices` ([ Object ]) –
No description available
`descriptors` ([ Object ]) –
No description available
`fully_parsed` (Number) –

When encrypted, or when encountering an unknown command type, we may still want to pass the sit through.

`is_running_time` (Number) –

When the SIT was constructed by the application, splice times are in running_time and must be translated before packetizing.

## GstMpegts.SCTESIT

### Members

`encrypted_packet` (bool) –
No description available
`encryption_algorithm` (int) –
No description available
`pts_adjustment` (int) –
No description available
`cw_index` (int) –
No description available
`tier` (int) –
No description available
`splice_command_length` (int) –
No description available
`splice_command_type` (GstMpegts.SCTESpliceCommandType) –
No description available
`splice_time_specified` (bool) –
No description available
`splice_time` (int) –
No description available
`splices` ([ object ]) –
No description available
`descriptors` ([ object ]) –
No description available
`fully_parsed` (bool) –

When encrypted, or when encountering an unknown command type, we may still want to pass the sit through.

`is_running_time` (bool) –

When the SIT was constructed by the application, splice times are in running_time and must be translated before packetizing.

### Constructors

#### gst_mpegts_scte_sit_new

    GstMpegtsSCTESIT *
    gst_mpegts_scte_sit_new ()

Allocates and initializes a GstMpegtsSCTESIT.

Returns ( [transfer: full]) –

A newly allocated GstMpegtsSCTESIT

#### GstMpegts.SCTESIT.prototype.new

    function GstMpegts.SCTESIT.prototype.new(): {
        // javascript wrapper for 'gst_mpegts_scte_sit_new'
    }

Allocates and initializes a GstMpegts.SCTESIT.

Returns (GstMpegts.SCTESIT) –

A newly allocated GstMpegts.SCTESIT

#### GstMpegts.SCTESIT.new

    def GstMpegts.SCTESIT.new ():
        #python wrapper for 'gst_mpegts_scte_sit_new'

Allocates and initializes a GstMpegts.SCTESIT.

Returns (GstMpegts.SCTESIT) –

A newly allocated GstMpegts.SCTESIT

## GstMpegtsSCTESpliceComponent

Per-PID splice information.

### Members

`tag` (guint8) –

the elementary PID stream containing the Splice Point

`splice_time_specified` (gboolean) –

Whether splice_time was specified

`splice_time` (guint64) –

the presentation time of the signaled splice event

`utc_splice_time` (guint32) –

The UTC time of the signaled splice event

Since : 1.20

## GstMpegts.SCTESpliceComponent

Per-PID splice information.

### Members

`tag` (Number) –

the elementary PID stream containing the Splice Point

`splice_time_specified` (Number) –

Whether splice_time was specified

`splice_time` (Number) –

the presentation time of the signaled splice event

`utc_splice_time` (Number) –

The UTC time of the signaled splice event

Since : 1.20

## GstMpegts.SCTESpliceComponent

Per-PID splice information.

### Members

`tag` (int) –

the elementary PID stream containing the Splice Point

`splice_time_specified` (bool) –

Whether splice_time was specified

`splice_time` (int) –

the presentation time of the signaled splice event

`utc_splice_time` (int) –

The UTC time of the signaled splice event

Since : 1.20

### Constructors

#### gst_mpegts_scte_splice_component_new

    GstMpegtsSCTESpliceComponent *
    gst_mpegts_scte_splice_component_new (guint8 tag)

Allocates and initializes a GstMpegtsSCTESpliceComponent.

Parameters:

`tag` –

the elementary PID stream identifier

Returns ( [transfer: full]) –

A newly allocated GstMpegtsSCTESpliceComponent

Since : 1.20

#### GstMpegts.SCTESpliceComponent.prototype.new

    function GstMpegts.SCTESpliceComponent.prototype.new(tag: Number): {
        // javascript wrapper for 'gst_mpegts_scte_splice_component_new'
    }

Allocates and initializes a GstMpegts.SCTESpliceComponent.

Parameters:

`tag` (Number) –

the elementary PID stream identifier

Returns (GstMpegts.SCTESpliceComponent) –

A newly allocated GstMpegts.SCTESpliceComponent

Since : 1.20

#### GstMpegts.SCTESpliceComponent.new

    def GstMpegts.SCTESpliceComponent.new (tag):
        #python wrapper for 'gst_mpegts_scte_splice_component_new'

Allocates and initializes a GstMpegts.SCTESpliceComponent.

Parameters:

`tag` (int) –

the elementary PID stream identifier

Returns (GstMpegts.SCTESpliceComponent) –

A newly allocated GstMpegts.SCTESpliceComponent

Since : 1.20

## GstMpegtsSCTESpliceEvent

### Members

`insert_event` (gboolean) –
No description available
`splice_event_id` (guint32) –
No description available
`splice_event_cancel_indicator` (gboolean) –
No description available
`out_of_network_indicator` (gboolean) –
No description available
`program_splice_flag` (gboolean) –
No description available
`duration_flag` (gboolean) –
No description available
`splice_immediate_flag` (gboolean) –
No description available
`program_splice_time_specified` (gboolean) –
No description available
`program_splice_time` (guint64) –
No description available
`utc_splice_time` (guint32) –

The UTC time of the signaled splice event

`components` (GPtrArray *) –

Per-PID splice time information

`break_duration_auto_return` (gboolean) –
No description available
`break_duration` (guint64) –
No description available
`unique_program_id` (guint16) –
No description available
`avail_num` (guint8) –
No description available
`avails_expected` (guint8) –
No description available

## GstMpegts.SCTESpliceEvent

### Members

`insert_event` (Number) –
No description available
`splice_event_id` (Number) –
No description available
`splice_event_cancel_indicator` (Number) –
No description available
`out_of_network_indicator` (Number) –
No description available
`program_splice_flag` (Number) –
No description available
`duration_flag` (Number) –
No description available
`splice_immediate_flag` (Number) –
No description available
`program_splice_time_specified` (Number) –
No description available
`program_splice_time` (Number) –
No description available
`utc_splice_time` (Number) –

The UTC time of the signaled splice event

`components` ([ Object ]) –

Per-PID splice time information

`break_duration_auto_return` (Number) –
No description available
`break_duration` (Number) –
No description available
`unique_program_id` (Number) –
No description available
`avail_num` (Number) –
No description available
`avails_expected` (Number) –
No description available

## GstMpegts.SCTESpliceEvent

### Members

`insert_event` (bool) –
No description available
`splice_event_id` (int) –
No description available
`splice_event_cancel_indicator` (bool) –
No description available
`out_of_network_indicator` (bool) –
No description available
`program_splice_flag` (bool) –
No description available
`duration_flag` (bool) –
No description available
`splice_immediate_flag` (bool) –
No description available
`program_splice_time_specified` (bool) –
No description available
`program_splice_time` (int) –
No description available
`utc_splice_time` (int) –

The UTC time of the signaled splice event

`components` ([ object ]) –

Per-PID splice time information

`break_duration_auto_return` (bool) –
No description available
`break_duration` (int) –
No description available
`unique_program_id` (int) –
No description available
`avail_num` (int) –
No description available
`avails_expected` (int) –
No description available

### Constructors

#### gst_mpegts_scte_splice_event_new

    GstMpegtsSCTESpliceEvent *
    gst_mpegts_scte_splice_event_new ()

Allocates and initializes a GstMpegtsSCTESpliceEvent.

Returns ( [transfer: full]) –

A newly allocated GstMpegtsSCTESpliceEvent

#### GstMpegts.SCTESpliceEvent.prototype.new

    function GstMpegts.SCTESpliceEvent.prototype.new(): {
        // javascript wrapper for 'gst_mpegts_scte_splice_event_new'
    }

Allocates and initializes a GstMpegts.SCTESpliceEvent.

Returns (GstMpegts.SCTESpliceEvent) –

A newly allocated GstMpegts.SCTESpliceEvent

#### GstMpegts.SCTESpliceEvent.new

    def GstMpegts.SCTESpliceEvent.new ():
        #python wrapper for 'gst_mpegts_scte_splice_event_new'

Allocates and initializes a GstMpegts.SCTESpliceEvent.

Returns (GstMpegts.SCTESpliceEvent) –

A newly allocated GstMpegts.SCTESpliceEvent

## Functions

### gst_mpegts_scte_cancel_new

    GstMpegtsSCTESIT *
    gst_mpegts_scte_cancel_new (guint32 event_id)

Allocates and initializes a new INSERT command GstMpegtsSCTESIT setup to cancel the specified event_id.

Parameters:

`event_id` –

The event ID to cancel.

Returns ( [transfer: full]) –

A newly allocated GstMpegtsSCTESIT

### GstMpegts.prototype.scte_cancel_new

    function GstMpegts.prototype.scte_cancel_new(event_id: Number): {
        // javascript wrapper for 'gst_mpegts_scte_cancel_new'
    }

Allocates and initializes a new INSERT command GstMpegts.SCTESIT setup to cancel the specified event_id.

Parameters:

`event_id` (Number) –

The event ID to cancel.

Returns (GstMpegts.SCTESIT) –

A newly allocated GstMpegts.SCTESIT

### GstMpegts.scte_cancel_new

    def GstMpegts.scte_cancel_new (event_id):
        #python wrapper for 'gst_mpegts_scte_cancel_new'

Allocates and initializes a new INSERT command GstMpegts.SCTESIT setup to cancel the specified event_id.

Parameters:

`event_id` (int) –

The event ID to cancel.

Returns (GstMpegts.SCTESIT) –

A newly allocated GstMpegts.SCTESIT

### gst_mpegts_scte_null_new

    GstMpegtsSCTESIT *
    gst_mpegts_scte_null_new ()

Allocates and initializes a NULL command GstMpegtsSCTESIT.

Returns ( [transfer: full]) –

A newly allocated GstMpegtsSCTESIT

### GstMpegts.prototype.scte_null_new

    function GstMpegts.prototype.scte_null_new(): {
        // javascript wrapper for 'gst_mpegts_scte_null_new'
    }

Allocates and initializes a NULL command GstMpegts.SCTESIT.

Returns (GstMpegts.SCTESIT) –

A newly allocated GstMpegts.SCTESIT

### GstMpegts.scte_null_new

    def GstMpegts.scte_null_new ():
        #python wrapper for 'gst_mpegts_scte_null_new'

Allocates and initializes a NULL command GstMpegts.SCTESIT.

Returns (GstMpegts.SCTESIT) –

A newly allocated GstMpegts.SCTESIT

### gst_mpegts_scte_splice_in_new

    GstMpegtsSCTESIT *
    gst_mpegts_scte_splice_in_new (guint32 event_id,
                                   GstClockTime splice_time)

Allocates and initializes a new "Splice In" INSERT command GstMpegtsSCTESIT for the given event_id and splice_time.

If the splice_time is G_MAXUINT64 then the event will be immediate as opposed to for the target splice_time.

Parameters:

`event_id` –

The event ID.

`splice_time` –

The running time for the splice event

Returns ( [transfer: full]) –

A newly allocated GstMpegtsSCTESIT

### GstMpegts.prototype.scte_splice_in_new

    function GstMpegts.prototype.scte_splice_in_new(event_id: Number, splice_time: Number): {
        // javascript wrapper for 'gst_mpegts_scte_splice_in_new'
    }

Allocates and initializes a new "Splice In" INSERT command GstMpegts.SCTESIT for the given event_id and splice_time.

If the splice_time is GLib.MAXUINT64 then the event will be immediate as opposed to for the target splice_time.

Parameters:

`event_id` (Number) –

The event ID.

`splice_time` (Number) –

The running time for the splice event

Returns (GstMpegts.SCTESIT) –

A newly allocated GstMpegts.SCTESIT

### GstMpegts.scte_splice_in_new

    def GstMpegts.scte_splice_in_new (event_id, splice_time):
        #python wrapper for 'gst_mpegts_scte_splice_in_new'

Allocates and initializes a new "Splice In" INSERT command GstMpegts.SCTESIT for the given event_id and splice_time.

If the splice_time is GLib.MAXUINT64 then the event will be immediate as opposed to for the target splice_time.

Parameters:

`event_id` (int) –

The event ID.

`splice_time` (int) –

The running time for the splice event

Returns (GstMpegts.SCTESIT) –

A newly allocated GstMpegts.SCTESIT

### gst_mpegts_scte_splice_out_new

    GstMpegtsSCTESIT *
    gst_mpegts_scte_splice_out_new (guint32 event_id,
                                    GstClockTime splice_time,
                                    GstClockTime duration)

Allocates and initializes a new "Splice Out" INSERT command GstMpegtsSCTESIT for the given event_id, splice_time and duration.

If the splice_time is G_MAXUINT64 then the event will be immediate as opposed to for the target splice_time.

If the duration is 0 it won't be specified in the event.

Parameters:

`event_id` –

The event ID.

`splice_time` –

The running time for the splice event

`duration` –

The optional duration.

Returns ( [transfer: full]) –

A newly allocated GstMpegtsSCTESIT

### GstMpegts.prototype.scte_splice_out_new

    function GstMpegts.prototype.scte_splice_out_new(event_id: Number, splice_time: Number, duration: Number): {
        // javascript wrapper for 'gst_mpegts_scte_splice_out_new'
    }

Allocates and initializes a new "Splice Out" INSERT command GstMpegts.SCTESIT for the given event_id, splice_time and duration.

If the splice_time is GLib.MAXUINT64 then the event will be immediate as opposed to for the target splice_time.

If the duration is 0 it won't be specified in the event.

Parameters:

`event_id` (Number) –

The event ID.

`splice_time` (Number) –

The running time for the splice event

`duration` (Number) –

The optional duration.

Returns (GstMpegts.SCTESIT) –

A newly allocated GstMpegts.SCTESIT

### GstMpegts.scte_splice_out_new

    def GstMpegts.scte_splice_out_new (event_id, splice_time, duration):
        #python wrapper for 'gst_mpegts_scte_splice_out_new'

Allocates and initializes a new "Splice Out" INSERT command GstMpegts.SCTESIT for the given event_id, splice_time and duration.

If the splice_time is GLib.MAXUINT64 then the event will be immediate as opposed to for the target splice_time.

If the duration is 0 it won't be specified in the event.

Parameters:

`event_id` (int) –

The event ID.

`splice_time` (int) –

The running time for the splice event

`duration` (int) –

The optional duration.

Returns (GstMpegts.SCTESIT) –

A newly allocated GstMpegts.SCTESIT

## Enumerations

### GstMpegtsSCTESpliceCommandType

##### Members

`GST_MTS_SCTE_SPLICE_COMMAND_NULL` (0) –
No description available
`GST_MTS_SCTE_SPLICE_COMMAND_SCHEDULE` (4) –
No description available
`GST_MTS_SCTE_SPLICE_COMMAND_INSERT` (5) –
No description available
`GST_MTS_SCTE_SPLICE_COMMAND_TIME` (6) –
No description available
`GST_MTS_SCTE_SPLICE_COMMAND_BANDWIDTH` (7) –
No description available
`GST_MTS_SCTE_SPLICE_COMMAND_PRIVATE` (255) –
No description available

### GstMpegts.SCTESpliceCommandType

##### Members

`GstMpegts.SCTESpliceCommandType.NULL` (0) –
No description available
`GstMpegts.SCTESpliceCommandType.SCHEDULE` (4) –
No description available
`GstMpegts.SCTESpliceCommandType.INSERT` (5) –
No description available
`GstMpegts.SCTESpliceCommandType.TIME` (6) –
No description available
`GstMpegts.SCTESpliceCommandType.BANDWIDTH` (7) –
No description available
`GstMpegts.SCTESpliceCommandType.PRIVATE` (255) –
No description available

### GstMpegts.SCTESpliceCommandType

##### Members

`GstMpegts.SCTESpliceCommandType.NULL` (0) –
No description available
`GstMpegts.SCTESpliceCommandType.SCHEDULE` (4) –
No description available
`GstMpegts.SCTESpliceCommandType.INSERT` (5) –
No description available
`GstMpegts.SCTESpliceCommandType.TIME` (6) –
No description available
`GstMpegts.SCTESpliceCommandType.BANDWIDTH` (7) –
No description available
`GstMpegts.SCTESpliceCommandType.PRIVATE` (255) –
No description available

### GstMpegtsSCTESpliceDescriptor

##### Members

`GST_MTS_SCTE_DESC_AVAIL` (0) –
No description available
`GST_MTS_SCTE_DESC_DTMF` (1) –
No description available
`GST_MTS_SCTE_DESC_SEGMENTATION` (2) –
No description available
`GST_MTS_SCTE_DESC_TIME` (3) –
No description available
`GST_MTS_SCTE_DESC_AUDIO` (4) –
No description available

### GstMpegts.SCTESpliceDescriptor

##### Members

`GstMpegts.SCTESpliceDescriptor.AVAIL` (0) –
No description available
`GstMpegts.SCTESpliceDescriptor.DTMF` (1) –
No description available
`GstMpegts.SCTESpliceDescriptor.SEGMENTATION` (2) –
No description available
`GstMpegts.SCTESpliceDescriptor.TIME` (3) –
No description available
`GstMpegts.SCTESpliceDescriptor.AUDIO` (4) –
No description available

### GstMpegts.SCTESpliceDescriptor

##### Members

`GstMpegts.SCTESpliceDescriptor.AVAIL` (0) –
No description available
`GstMpegts.SCTESpliceDescriptor.DTMF` (1) –
No description available
`GstMpegts.SCTESpliceDescriptor.SEGMENTATION` (2) –
No description available
`GstMpegts.SCTESpliceDescriptor.TIME` (3) –
No description available
`GstMpegts.SCTESpliceDescriptor.AUDIO` (4) –
No description available

### GstMpegtsScteStreamType

Type of mpeg-ts streams for SCTE. Most users would want to use the GstMpegtsATSCStreamType instead since it also covers these stream types

##### Members

`GST_MPEGTS_STREAM_TYPE_SCTE_SUBTITLING` (130) –

SCTE-27 Subtitling

`GST_MPEGTS_STREAM_TYPE_SCTE_ISOCH_DATA` (131) –

SCTE-19 Isochronous data

`GST_MPEGTS_STREAM_TYPE_SCTE_SIT` (134) –

SCTE-35 Splice Information Table

`GST_MPEGTS_STREAM_TYPE_SCTE_DST_NRT` (149) –

SCTE-07 Data Service or Network Resource Table

`GST_MPEGTS_STREAM_TYPE_SCTE_DSMCC_DCB` (176) –

Type B - DSM-CC Data Carousel [IEC 13818-6])

`GST_MPEGTS_STREAM_TYPE_SCTE_SIGNALING` (192) –

Enhanced Television Application Signaling (OC-SP-ETV-AM1.0.1-120614)

`GST_MPEGTS_STREAM_TYPE_SCTE_SYNC_DATA` (194) –

SCTE-07 Synchronous data

`GST_MPEGTS_STREAM_TYPE_SCTE_ASYNC_DATA` (195) –

SCTE-53 Asynchronous data

### GstMpegts.ScteStreamType

Type of mpeg-ts streams for SCTE. Most users would want to use the GstMpegts.ATSCStreamType instead since it also covers these stream types

##### Members

`GstMpegts.ScteStreamType.SUBTITLING` (130) –

SCTE-27 Subtitling

`GstMpegts.ScteStreamType.ISOCH_DATA` (131) –

SCTE-19 Isochronous data

`GstMpegts.ScteStreamType.SIT` (134) –

SCTE-35 Splice Information Table

`GstMpegts.ScteStreamType.DST_NRT` (149) –

SCTE-07 Data Service or Network Resource Table

`GstMpegts.ScteStreamType.DSMCC_DCB` (176) –

Type B - DSM-CC Data Carousel [IEC 13818-6])

`GstMpegts.ScteStreamType.SIGNALING` (192) –

Enhanced Television Application Signaling (OC-SP-ETV-AM1.0.1-120614)

`GstMpegts.ScteStreamType.SYNC_DATA` (194) –

SCTE-07 Synchronous data

`GstMpegts.ScteStreamType.ASYNC_DATA` (195) –

SCTE-53 Asynchronous data

### GstMpegts.ScteStreamType

Type of mpeg-ts streams for SCTE. Most users would want to use the GstMpegts.ATSCStreamType instead since it also covers these stream types

##### Members

`GstMpegts.ScteStreamType.SUBTITLING` (130) –

SCTE-27 Subtitling

`GstMpegts.ScteStreamType.ISOCH_DATA` (131) –

SCTE-19 Isochronous data

`GstMpegts.ScteStreamType.SIT` (134) –

SCTE-35 Splice Information Table

`GstMpegts.ScteStreamType.DST_NRT` (149) –

SCTE-07 Data Service or Network Resource Table

`GstMpegts.ScteStreamType.DSMCC_DCB` (176) –

Type B - DSM-CC Data Carousel [IEC 13818-6])

`GstMpegts.ScteStreamType.SIGNALING` (192) –

Enhanced Television Application Signaling (OC-SP-ETV-AM1.0.1-120614)

`GstMpegts.ScteStreamType.SYNC_DATA` (194) –

SCTE-07 Synchronous data

`GstMpegts.ScteStreamType.ASYNC_DATA` (195) –

SCTE-53 Asynchronous data

### GstMpegtsSectionSCTETableID

Values for a GstMpegtsSection table_id.

These are the registered SCTE table_id variants.

see also: GstMpegtsSectionTableID

##### Members

`GST_MTS_TABLE_ID_SCTE_EAS` (216) –

SCTE-18 Emergency Alert System

`GST_MTS_TABLE_ID_SCTE_EBIF` (224) –

CL-SP-ETV-AM 1.0.1 EBIF message

`GST_MTS_TABLE_ID_SCTE_RESERVED` (225) –
No description available
`GST_MTS_TABLE_ID_SCTE_EISS` (226) –

CL-SP-ETV-AM 1.0.1 EBIF Int. Signaling Sect.

`GST_MTS_TABLE_ID_SCTE_DII` (227) –

CL-SP-ETV-AM 1.0.1 DSMCC DII message

`GST_MTS_TABLE_ID_SCTE_DDB` (228) –

CL-SP-ETV-AM 1.0.1 DSMCC Data Download Block

`GST_MTS_TABLE_ID_SCTE_SPLICE` (252) –

SCTE-35 splice information is carried in a section stream on a separate PID in the program’s Map Table (PMT) allowing Splice Event notifications to remain associated with the program and pass through multiplexers.

### GstMpegts.SectionSCTETableID

Values for a GstMpegts.Section table_id.

These are the registered SCTE table_id variants.

see also: GstMpegts.SectionTableID

##### Members

`GstMpegts.SectionSCTETableID.EAS` (216) –

SCTE-18 Emergency Alert System

`GstMpegts.SectionSCTETableID.EBIF` (224) –

CL-SP-ETV-AM 1.0.1 EBIF message

`GstMpegts.SectionSCTETableID.RESERVED` (225) –
No description available
`GstMpegts.SectionSCTETableID.EISS` (226) –

CL-SP-ETV-AM 1.0.1 EBIF Int. Signaling Sect.

`GstMpegts.SectionSCTETableID.DII` (227) –

CL-SP-ETV-AM 1.0.1 DSMCC DII message

`GstMpegts.SectionSCTETableID.DDB` (228) –

CL-SP-ETV-AM 1.0.1 DSMCC Data Download Block

`GstMpegts.SectionSCTETableID.SPLICE` (252) –

SCTE-35 splice information is carried in a section stream on a separate PID in the program’s Map Table (PMT) allowing Splice Event notifications to remain associated with the program and pass through multiplexers.

### GstMpegts.SectionSCTETableID

Values for a GstMpegts.Section table_id.

These are the registered SCTE table_id variants.

see also: GstMpegts.SectionTableID

##### Members

`GstMpegts.SectionSCTETableID.EAS` (216) –

SCTE-18 Emergency Alert System

`GstMpegts.SectionSCTETableID.EBIF` (224) –

CL-SP-ETV-AM 1.0.1 EBIF message

`GstMpegts.SectionSCTETableID.RESERVED` (225) –
No description available
`GstMpegts.SectionSCTETableID.EISS` (226) –

CL-SP-ETV-AM 1.0.1 EBIF Int. Signaling Sect.

`GstMpegts.SectionSCTETableID.DII` (227) –

CL-SP-ETV-AM 1.0.1 DSMCC DII message

`GstMpegts.SectionSCTETableID.DDB` (228) –

CL-SP-ETV-AM 1.0.1 DSMCC Data Download Block

`GstMpegts.SectionSCTETableID.SPLICE` (252) –

SCTE-35 splice information is carried in a section stream on a separate PID in the program’s Map Table (PMT) allowing Splice Event notifications to remain associated with the program and pass through multiplexers.

## Constants

### GST_TYPE_MPEGTS_SCTE_SIT

    #define GST_TYPE_MPEGTS_SCTE_SIT (gst_mpegts_scte_sit_get_type())

### GST_TYPE_MPEGTS_SCTE_SPLICE_EVENT

    #define GST_TYPE_MPEGTS_SCTE_SPLICE_EVENT (gst_mpegts_scte_splice_event_get_type())

The results of the search are